---
lang: en
title: 'API docs: repository.transactionalrepository'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.transactionalrepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [TransactionalRepository](./repository.transactionalrepository.md)

## TransactionalRepository interface

Repository Interface for Repositories that support Transactions

<b>Signature:</b>

```typescript
export interface TransactionalRepository<T extends Entity> extends Repository<T> 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [beginTransaction(options)](./repository.transactionalrepository.begintransaction.md) | Begin a new Transaction |


